Subject: Re: bug#2179: 23.0.60; define-key vs define-key-after key syntax

From: Glenn Morris <[email-masked]>
Date: Wed, 05 Oct 2011 01:08:13 -0400

Lars Magne Ingebrigtsen wrote:

>>> The doc string of `define-key-after' doesn't say that it's only for
>>> menu-bar bindings.
>>
>> define-key-after is a compiled Lisp function in `subr.el'.
>> [...]
>> The order of bindings in a keymap matters when it is used as a menu.
>
> So?

Perhaps the point was supposed to be that the order of the elements in a
keymap ONLY matters in a menu, therefore there is no point to use
define-key-after with anything other then menu entries, therefore
define-key-after does not need to be extended to handle the same range
of key syntax that define-key can, therefore this is just a
documentation bug for define-key-after.